import { HttpClient } from '@angular/common/http';
import { EntityContainerModel } from '../../../../../../models/aggregates/erp/entity';
import { ApiVisa, BasicApiResponseModel, PagingResponseModel } from '../../shared';
import { Observable } from "rxjs";
import { EntityCriteriaDTO } from "../../../data-transfer-objects/entity-criteria-dto.model";
import { LoginEntityUpdateRequestDtoModel } from '../../../data-transfer-objects';
import { BaseApiPublicLoginTemplateService } from '../../shared/base-api-public-login-template.service';
export declare class EntityService extends BaseApiPublicLoginTemplateService<EntityContainerModel, EntityContainerModel, EntityContainerModel> {
    constructor(http: HttpClient);
    getCustomEntity(visa: ApiVisa, entityType: string): Observable<BasicApiResponseModel<any>>;
    updateEntity(type: any, entity: EntityContainerModel, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getEntity(type: any, guid: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getEntityByHdrGuids(guid: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getEntityArapBal(guid: string, compGuid: string, docCcy: string, visa: ApiVisa): Observable<BasicApiResponseModel<number>>;
    getEntityUsingPost(dto: EntityCriteriaDTO, apiVisa: ApiVisa): Observable<PagingResponseModel<any>>;
    updateEntityUsingRequestDtoModel(dtoObject: LoginEntityUpdateRequestDtoModel, visa: ApiVisa): Observable<BasicApiResponseModel<EntityContainerModel>>;
}
